Xposed framework for Android Oreo 8.0 and 8.1 is finally out in beta


Xposed framework, one of the most seamless way for users to tweak their Android-powered OS, has been updated to add compatibility to Android Oreo 8.0 and 8.1. This is a much-awaited update for all the people who were waiting for Xposed developer rovo89 to update the framework to the latest Android version.


Things like theming your system or certain apps, fine-tuning notifications or rooting the device to improve battery optimisation while shutting down apps that would abuse or work around the OS, are all now available as part of the native operating system without the need for root. However, people who were still holding on to updating to Android Oreo because of lack of Xposed framework can finally upgrade without the fear of giving up on the framework.The number of people who would want to root their Android-powered device may be decreasing with each successive Android version, as Google is adding features that previously required root access natively to the operating system.

This comes considerably faster than the time it took for Rovo89 to port the framework to Nougat. He launched Xposed for Android Nougat back in October last year which was more than a year after Google launched Nougat. In fact, Google had already launched Android Oreo before Xposed for Nougat arrived for users. This comes weeks after Rovo89 mentioned that Oreo release was nearing its completion.

However, because of the presence of some bugs, and this being the initial launch version, Rovo89 has termed the launch as Beta instead of stable. Things are likely to be buggy and apps could crash because of a number of configurations of Android Operating systems and variance of hardware running those systems. One thing to point out is the fact that there are some app crashers from time-to-time but that does not mean that the user experience goes for a toss. Instead, it works just about fine.

Rovo89 reassured that the updated beta would fix once he can zero-in on the cause of the problem. In the meantime, he asked users to report on any problems that they face while using this system with Xposed.

Interested users can head over to the official announcement post on XDA to get their hands on the correct installation zip file for the Android version that they are using. Users running Android Oreo 8.0 will require the zip file with SDK level 26 while Oreo 8.1 users will need the zip file with SDK level 27.


Rovo89 has not posted the source code of the framework because of the fact that he is waiting of fixing the bugs to deliver a perfect version of Xposed and its source code.


You may also like...

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: